CZAS OCZEKIWANIA(1)

NAZWA
timeout - uruchamia polecenie z limitem czasu

SKŁADNIA
timeout [OPCJA] CZAS-TRWANIA POLECENIE [ARGUMENTY]...
timeout [OPCJA]

OPIS

Uruchamia POLECENIE i zabija je, jeśli jest wciąż aktywne po danym CZASIE-TRWANIA.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--preserve-status

    wychodzi z tym samym kodem zakończenia co POLECENIE, nawet jeśli

    polecenie się przeterminowało

--foreground

    Jeśli polecenie timeout nie jest uruchomione bezpośrednio w powłoce interaktywnej,

    pozwala POLECENIU czytać z TTY i otrzymywać sygnały TTY. W tym trybie, procesy potomne POLECENIA nie podlegają ograniczeniu czasu.

-k, --kill-after=CZAS-TRWANIA

    wysyła także sygnał KILL, jeśli POLECENIE wciąż działa

    po wysłaniu pierwszego sygnału

-s, --signal=SYGNAŁ

    określa sygnał wysłany po CZASIE-TRWANIA;

    SYGNAŁ może być nazwą (np. HUP) lub numerem. Listę sygnałów można otrzymać wykonując polecenie kill -l

-v, --verbose
    diagnozuje na standardowe wyjście błędów każdy sygnał wysłany po CZASIE-TRWANIA

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

CZAS-TRWANIA jest liczbą zmiennoprzecinkową z opcjonalnym przyrostkiem: s - sekundy (domyślnie), m - minuty, h - godziny lub d - dni. CZAS-TRWANIA równy 0 wyłącza powiązany limit czasu.

Po minięciu limitu czasu, wysyła sygnał TERM do POLECENIA, jeśli nie określono innego sygnału. TERM zabija te procesy, które nie blokują go ani nie przechwytują. Może być konieczne również użycie sygnału KILL, ponieważ nie może on zostać przechwycony.

  Status zakończenia:

124 jeśli POLECENIE się przeterminowało i nie podano --preserve-status

125 jeśli samo polecenie timeout zawiedzie

126 jeśli odnaleziono POLECENIE, ale nie można go wywołać

127 jeśli nie znaleziono POLECENIA

137 jeśli do POLECENIA (lub samego timeout) wysłany jest sygnał KILL (9) (128+9)

-   w pozostałych przypadkach jest to kod zakończenia POLECENIA

USTERKI
Część platform nie obsługuje obecnie czasów oczekiwania po roku 2038.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
kill(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/timeout>
lub lokalnie, za pomocą info '(coreutils) timeout invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.